RagTime5ClusterManagerInternal::RootChildCParser Struct Reference documentation

Public Member Functions | Protected Attributes | List of all members
RagTime5ClusterManagerInternal::RootChildCParser Struct Referencefinal

try to read a basic root child cluster: either fielddef or fieldpos or a first internal child of the root (unknown) or another child More...

Inheritance diagram for RagTime5ClusterManagerInternal::RootChildCParser:

## Public Member Functions
| RootChildCParser (RagTime5ClusterManager &parser, int type)
| constructor More...
| ~RootChildCParser () final
| destructor More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field More...
void | endZone () final
| end of a start zone call More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Attributes
std::shared_ptr< RagTime5ClusterManager::Cluster > | m_cluster
| the current cluster More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

try to read a basic root child cluster: either fielddef or fieldpos or a first internal child of the root (unknown) or another child

## Constructor & Destructor Documentation

## ◆ RootChildCParser()

RagTime5ClusterManagerInternal::RootChildCParser::RootChildCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type
| ) |  |
| inline

constructor

## ◆ ~RootChildCParser()

RagTime5ClusterManagerInternal::RootChildCParser::~RootChildCParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ endZone()

void RagTime5ClusterManagerInternal::RootChildCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::RootChildCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

## ◆ parseField()

bool RagTime5ClusterManagerInternal::RootChildCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseZone()

bool RagTime5ClusterManagerInternal::RootChildCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::RootChildCParser::m_cluster
| protected

the current cluster

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx